

                            WinRAR - 最新版本的最新更新



   版本 3.93

   1. 错误修正:

      a) 在 WinRAR 3.92 中 -xd:\path\folder 开关也能排除文件夹，路径和开关中指定
         的路径不匹配，仅文件夹名和指定的相同;
      
      b) 开关 -y -or 在一起不能正确工作。-y 开关存在时 开关 -or 被忽略。

   
    版本 3.92

   1. 如果你在多显示器配置的资源管理器右键菜单启动 WinRAR 命令，命令对话框会显示
      在关联菜单所在的显示器上。以前版本都显示在主显示器上。

   2. WinRAR "压缩并 Email..." 关联命令添加压缩文件名到 Email 主题。以前版本保留
      主题为空白。

   3. 在 RAR 3.91 -x<掩码> 开关也能从压缩中排除文件夹，即使掩码包含通配字符并不包
      含路径。例如, -x*. 排除所有的名字中没有扩展名的文件夹。现在 -x 开关使用 RAR
      3.80 方式，对于无路径掩码，只有在掩码不包含通配符并且完全匹配文件夹名时排除
      文件夹。

   4. 错误修正:

      a) WinRAR 3.91 在打开用关联菜单的“创建 WinRAR ZIP 压缩文件”命令创建的空
         ZIP 压缩文件时，报告不正确的“不可预料的压缩文件末端”;

      b) 在解压包含损坏文件的 ZIP 压缩文件时启用“删除压缩文件”选项，WinRAR 不
         删除损坏文件以后的压缩文件，即使他们被成功解压;

      c) 如果在 RarFiles.lst 文件中匹配两个不同的掩码，WinRAR 会选择最后的匹配。
         通常，如果两个掩码互不为子集，第一个匹配必须被选择。


   版本 3.91

   1. 此版本能解压使用 LZMA2 算法创建的 7-Zip 压缩文件。

   2. 现在从右键关联菜单解压加密文件名的 7z 压缩文件时仅询问一次密码。WinRAR 3.90
      询问两次。

   3. 此版本能解压包含数个小的 bz2 流整合到一起的 tar.bz2 压缩文件。以前的版本仅
      解压这样的复合压缩文件中首个镶嵌的 bz2 流。

   4. WinRAR 显示普通 .gz(非 .tar.gz)压缩文件内文件的 CRC32。以前的版本此区域为空
      白。

   5. 错误修正:

      a) WinRAR 3.90 在“查找压缩文件”对话框中显示“保存”按钮而不是“打开”或
        “确定”(“文件”菜单中的“打开压缩文件”命令和压缩对话框的“浏览...”命
         令);

      b) WinRAR 在浏览畸形 ZIP 压缩文件时显示错误的文件名;

      c) WinRAR 3.90 解压使用“-lh7-”算法创建的 LZH 压缩文件时失败;

      d) 如果启用删除到回收站，WinRAR 3.90 不能在压缩后删除一部分文件。此错误仅存
         在于 Windows XP 中, Windows Vista 和 Windows 7 中不存在;

      e) 在资源管理器的右键关联菜单中使用 WinRAR“解压文件...”命令解压 ISO 文件
         时，WinRAR 会在同一操作中解压同一压缩文件两次。第二次解压文件时显示覆盖
         文件提示;

      f) 在 WinRAR 3.90 的“查找”命令和控制台 RAR 的“ih”命令中的十六进制查找命令，
         如果搜索的字符串的的首个字节大于 127 则搜索失败。

   
   版本 3.90

   1. WinRAR Windows x64 版本可用。如果你使用 Windows x64, 强烈推荐安装 64 位 
      WinRAR 版本。它提供了更高的效率和比 32 位更好的外壳扩展。

   2. 在多核心和多 CPU 的系统中压缩速度提升。在 Windows Vista 和 Windows 7 操作
      系统中此提升明显。

   3. "设置/压缩" 对话框的 "从解压路径移除重复的文件夹" 选项被更普遍的 "从解压的
      路径中移除多余的文件夹" 选项代替。如果你使用右键关联菜单的 "解压到
      DestName\" 命令解压一个压缩文件，并且压缩文件的根目录仅包含一个文件夹而且
      没有文件，则此选项会从解压路径中排除多余的基本文件夹。

   4. 在 "解压路径和选项" 对话框中的修改:

      a) "新建文件夹" 按钮在当前选择的文件夹中创建一个新的子文件夹;

      b) F2 键重命名文件夹树中选择的文件夹;

      c) F5 键更新树窗格的内容;

      d) Del 键移除文件夹树中选择的文件夹。

   5. 如果你希望在 WinRAR 外壳的文件列表中显示文件日期的秒，你可以在 "设置/文件
      列表" 对话框中启用 "显示秒" 选项。

   6. 在 "设置/整合/关联菜单项目" 对话框中的 "在哪里检查自解压文件" 选项组让你在
      右键关联菜单中控制自解压模块的进程。例如，如果你在较慢的网络磁盘中频繁右键
      点击 ".exe" 文件，你可以关闭 "网络磁盘" 选项来减少显示右键关联菜单的显示延
      迟。

   7. 如果你在 WinRAR 的外壳的文件列表中按文件名排序，WinRAR 会使用新的逻辑文件
      名排序，和 Windows 资源管理器一致，把文件名中的数字按照数字值的大小排序。
      所以文件会按照 1.txt, 2.txt, 10.txt 排序，而不是以前的 1.txt, 10.txt, 2.txt。
      这种新的排序在 Windows XP Service Pack 2 和更新的版本中可用。
   
   8. Ctrl+W 键组合可以关闭 WinRAR 查看窗口也可以关闭 WinRAR 主窗口。在 WinRAR 的
      查看中 "作为 Windows 文本查看" 快捷方式从 Ctrl+W 变为 Ctrl+I。
   
   9. 新的命令行开关 -r- 完全禁用递归。所以 'rar a -r- arc dirname' 命令会仅添加
      空的 dirname 文件夹并忽略它的内容。默认，如果 dirname 不包含通配符，即使没
      有指定 -r 开关，RAR 也会添加它的内容。

  10. 如果解压时使用新的命令行开关 -ai，会强制 RAR 忽略文件属性。当使用此开关，解
      压的文件会被分配操作系统默认给新建文件的属性。

  11. 如果输出文件名未在 "cw" 命令中指出，控制台 RAR 会发送注释数据到标准输出设备。

  12. 当使用开关 -si[名称] 压缩标准输入数据时，RAR 把当前系统时间设为压缩的修改时
      间。以前的 RAR 版本不填充此区域，导致对标准输入修改时间无意义。

  13. 当你把鼠标放在 WinRAR 的任务栏图标上时会显示包括压缩文件名的信息。以前仅显示
      压缩操作剩余的时间和总百分比。
  
  14. 错误修正:

      a) WinRAR 不能打开某些包含文件大小超过 8 GB 的tar.gz 文件;
      
      b) 在 Windows 7 beta 版中，如果右键关联菜单启用图标并且用户在 Windows 7 库文
         件夹点击文件，WinRAR 右键关联菜单不能正确工作;
  
      c) 以前的 WinRAR 版本处理名字中有 5 个或以上连续空格的文件时候失败。WinRAR 外
         壳由于安全原因不显示这些空格，因为它们可以被用来隐藏实际的文件扩展名。但是
         此安全措施阻止了重命名命令正确工作。


   版本 3.80

   1. 添加对包含 UTF-8 格式的 Unicode 文件名的 ZIP 压缩文件的支持。当创建 ZIP 压
      缩文件时, WinRAR 仅在无法正确使用的单字节字符集时才使用 Unicode 来保存文件
      名。

   2. 添加对 WinZip AES 加密的 ZIP 压缩文件的解压支持。

   3. 改进对 RAR 和 ZIP 压缩文件名称的 Unicode 支持。

   4. 在压缩对话框中增加 "覆盖前询问" 和 "跳过已存在的文件" 更新模式。它们允许指
      定 WinRAR 更新压缩包中已存在的文件时的行为。不像现有的 "仅刷新已存在的文件"
      和  "添加并更新文件", 这些新的模式忽略文件日期而仅比较文件名。

      这些模式的命令行等价:

      a) 开关 -o 启用 "覆盖前询问" 压缩模式;

      b) 开关 -o- 启用 "跳过已存在的文件" 压缩模式;

      c) 开关 -o+ 启用 "覆盖所有" 模式 (默认用于压缩)。

   5. 配置参数对话框中新的 "添加到关联菜单" 选项。如果此选项打开, 配置文件名会显
      示在资源管理器的关联菜单中, 允许从右键菜单中激活一个配置。 

   6. 新的 -cp<配置名> 开关允许在命令行选择一个压缩配置。仅支持图形界面的
      WinRAR.exe, rar.exe 不支持。

   7. 压缩对话框包含新的 "选项" 页设置修改 "常规" 页的 "压缩后删除文件" 的行为:

      a) 删除文件。和以前版本的 WinRAR 一样的普通的删除文件。

      b) 移动文件到回收站。删除文件并把它们放到回收站中。

         命令行中的等价开关是 -dr 开关。

      c) 清除文件。在删除文件数据前使用 0 字节文件覆盖它们, 防止恢复删除的文件。

         命令行中的等价开关是 -dw 开关。

      所有这些选项仅在 "压缩后删除文件" 选项打开时才生效。你可以在默认压缩配置中
      启用这些选项的任意一个来改变 "压缩后删除文件" 的默认行为。

   8. WinRAR "解压文件和选项" 对话框改变大小。你可以使用鼠标拖动它的边来自定义它
      的大小来给文件夹树窗格提供更大的空间。WinRAR 会保存此对话框的大小。

   9. 新的 "更新" 自解压脚本命令和在 "高级自解压选项" 对话框中的 "更新" 页中 "更
      新模式" 选项组。这些命令和选项允许检查时间和基于更新的时间来处理文件;

  10. "Shortcut" 自解压脚本命令和在 "高级自解压选项" 对话框中 "添加快捷方式..."
      命令现在允许指定一个图标文件来让快捷方式关联一个图标文件。

  11. 在 "设置/安全" 对话框中提供新的 "清除临时文件" 选项提供更好的安全性来删除临
      时文件, 虽然较慢。

  12. 如果所有的卷都在同一文件夹中时解压多卷 RAR 压缩文件, WinRAR 和 RAR 显示总的
      进度条。

  13. WinRAR 和 RAR 自动识别在列表文件中的环境变量名称。例如, 一个列表文件可以包
      含类似下面的行:

        %windir%\*.exe
        %USERPROFILE%\Desktop

      此功能仅可用于 Windows 版本的 RAR。

  14. 添加对有非零数据的 TAR 压缩文件的支持。
      
  15. 添加对不以 512 个 0 字节组成的 TAR 压缩文件的支持。

  16. 当从 WinRAR 窗口拖动文件时改进 Unicode 支持。

  17. 在 WinRAR 主窗口的 Shift+Tab 组合键可用于以相反的顺序切换界面元素的焦点(文
      件, 注释, 树, 地址)。以前的版本 Shift+Tab 和 Tab 顺序一样。

  18. 修正打开不完整的 UDF ISO 文件时可能导致 WinRAR 崩溃。


   版本 3.71

   1. 在 rar.log 错误日志文件中的压缩文件名总是包含完全路径。

   2. WinRAR 任务栏图标兼容高 DPI 显示模式。

   3. 如果你使用外部编辑器修改了加密文件名的压缩文件中的一个文件, WinRAR 在提示更
      新文件时不会再请求密码, 会使用你打开压缩文件时所输入的密码。

   4. 错误修正:

      a) 在上一版本中开关 -tl 和 "设置压缩文件时间为最新的文件时间" 可能无效。有
         时候它们设置压缩文件时间为当前系统时间而不是最新的文件时间;

      b) 如果 -ag 开关掩码包含压缩文件数、月份和分钟字符, WinRAR 对于压缩文件数超
         过 1 时生成的压缩文件名用 'I' 代替了分钟值;

      c) 使用 ISO 9660 格式的无 Joliet 格式扩展的 ISO 文件中高位 ASCII 文件名可以
         正确显示了;

      d) WinRAR 在解压某些损坏的 RAR 压缩文件时可能崩溃;

      e) 如果在“转换压缩文件”命令中设置了“完成后关闭计算机”, WinRAR 会在转换完
         选择的组中的第一个压缩文件后关闭计算机, 而实际上应该是转换整个组后;

      f) 在 Vista 中如果用户在自解压文件中指定了不存在的目标路径, 自解压会进入无限
         的“创建新的自解压窗口”循环;

      g) WinRAR 使用拖动从 ACE 压缩文件的子目录中解压一个单独的文件会失败。


   版本 3.70

   1. 数个 Windows Vista 兼容修改:

      a) 帮助格式从旧的 HLP 改变为新的基于 CHM 的 HTML;

      b) GUI 自解压模块如果在当前用户帐号下不能创建目标文件夹会尝试请求管理员权限;

      c) 日志文件 rar.log 和 WinRAR 主题文件存储在 %APPDATA%\WinRAR 文件夹中，代替
         WinRAR 程序文件夹。

         到处的设置文件 settings.reg 默认也被保存到 %APPDATA%\WinRAR 文件夹中, 但是
         也可以在“保存 WinRAR 设置”和 “加载 WinRAR 设置” 对话框中选择其他的文件
         夹。

         WinRAR 在它的 program files 文件夹和 %APPDATA%\WinRAR 中搜索注册文件和 
         settings.reg;

         WinRAR 设置可以在注册表键 HKEY_CURRENT_USER\Software\WinRAR\Paths 中设置字符
         串值 "AppData" 来覆盖默认的 %appdata%\WinRAR 路径。

         例如, 如果你希望在 WinRAR 文件夹中存储主题文件, 设置此值为
         "c:\Program Files\WinRAR"。

      d) WinRAR 外壳整合 Vista 兼容修改。

   2. 添加对 ISO 13346 (UDF) 文件格式的支持。此格式被频繁用于 DVD 光盘的 ISO 映象。

   3. 添加对 ISO 9660 的 Unicode 支持, 这样 WinRAR 可以更好地处理非英语文件名的
      .iso 文件。

   4. 在显示压缩和解压进程的对话框的设计改变:

      a) 提供更多的空间用于文件名, 允许较长的名称;

      b) 在单独行中显示当前压缩文件名, 允许比以前更长的压缩文件名;

      c) 当压缩时, 在空行显示当前的压缩率;

      d) 它可以使用标准的 Windows 和 经典的 WinRAR 进度条。在 WinRAR 的“设置/常
         规”对话框打开“Windows 进度条”选项。如果某些 Windows 可视化风格被激活
         默认此选项是打开的，如果选择 Windows 经典主题则关闭。

         Windows 进度条仅有两种颜色, 所以他们不能指示当前的压缩率。但是现在压缩
         率显示在一个单独的行中;

      e) "模式..." 按钮移到窗口的底部。

   5. GUI 自解压模块支持下列命令开关:

      -d<路径>     设置目标路径
      -p<密码>     指定一个密码
      -s           缄默安装, 全部隐藏
      -s1          和 -s 相同
      -s2          缄默模式, 隐藏启动对话框
      -sp<参数>    指定安装程序的参数

   6. GUI 自解压模块不像以前的版本, 它不传递整个命令行给安装程序。如果你需要获得
      自解压模块的整个命令行, 解析包含此命令行的 sfxcmd 环境变量。

   7. 新的开关 -sc<字符集>[对象] 允许指定列表文件和压缩包注释文件的字符集。它代替
      RAR 3.60 中的 -fcu 开关, -fcu 开关从支持的开关列表中移除。现在你需要指定
      -scuc 代替 -fcu 使用 Unicode 注释。不像 -fcu, -sc 允许支持 OEM 和 ANSI 字符
      集。

   8. 文件菜单中新的“保存压缩文件副本为...”命令。
      此命令可以用在你从 Internet 直接用 WinRAR 打开压缩文件, 而你又希望把它保存
      到本地硬盘时、

   9. “自动换行”命令添加到 WinRAR 内部查看器的“查看”菜单中, 这样你可以改变打
      开的查看器窗口的换行模式。

      此选项的状态在查看会话间不保存。如果你需要改变默认的自动换行模式, 使用
      WinRAR “设置/查看器”对话框。

  10. “关联配置文件”对话框添加“上移”和“下移”按钮。
      使用这些按钮, 你可以改变选择配置文件在列表中的位置。

  11. 当添加恢复记录时会显示操作进度。

  12. 如果 WinRAR 被最小化到状态栏并且鼠标移动到它的图标上, WinRAR 显示关于当前
      操作进度的消息。在以前的版本中它仅包括完成的百分比, 现在它也包含剩余时间
      的信息。

  13. 当对最新创建的 RAR 卷计算 CRC32 控制和时, 控制台 RAR 显示 "计算控制和" 消
      息。以前的版本也计算卷控制和, 但不显示。

  14. 在“文件”菜单中的压缩文件历史列表允许 Unicode 名称, 提供对非英语压缩文件
      名的更多的支持。

  15. 在控制台 RAR 和 UnRAR 密码处理模块中的堆栈溢出问题被修正。GUI WinRAR 不受
      影响。我们感谢 iDEFENSE LABS 报告此错误。


